#pragma once
#include "Mod.h"

class Velocity : public Mod {
public:
	float horizontal = 0.f, vertical = 0.f;
	bool jumpreset = false;
	Velocity() : Mod(_("Velocity"), _("Change the behavior of the player's motion."), Category::COMBAT) {
		settings.push_back(new Setting{ _("Horizontal"), &horizontal, new float(1.f), new float(0.f), 2, {}, true, 50.f });
		settings.push_back(new Setting{ _("Vertical"), &vertical, new float(1.f), new float(0.f), 2, {}, true, 50.f });
		settings.push_back(new Setting{ _("Jump Reset"), &jumpreset, 0, 0, 0, {}, true, 50.f });

		enabled = false;
	}

private:
	virtual auto onPacketReceive(Packet* packet, bool* cancel) -> void override;
	virtual auto getMode() -> std::string override;
};
